Bug 88837 - USB disk does not usually hot plug, works slowly from reboot
USB disk does not usually hot plug, works slowly from reboot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 15:42 EDT by System Detection Staff
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 19:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description System Detection Staff 2003-04-14 15:42:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When you plug in a USB disk, such as the <a
href="http://www.archos.com/lang=en//products/prw_500277.html?country=us">Archos
Jukebox Recorder 20</a> into a pre-booted virgin RedHat 9 system, the system
generates several error messages and disables the USB Mouse.  `cat`ing
/dev/bus/usb/devices hangs for many seconds.  Exiting and entering X does not
restore mouse movement.  I have not tried loading and unloading the USB drivers
under RedHat 9, but since I cannot do this when X is running, it is essentially
as drastic as rebooting for me.  After the first failure, I modified the system
to boot with "noapic" on the boot line (suggestion from the net), with no
particular success in terms of allowing the disk to be connected after boot--it
may or may not have helped the system when the disk was plugged in during boot.

If the USB disk is plugged into the system when it reboots, it is recognized by
the system and can be used, mounted, etc.  You may additionally unplug and
replug the device without any ill effects.  However, the transfer rate is very
slow (600 kb/s).  While the system is USB 1.1 instead of USB 2.0, one would
assume that the performance would be closer to USB 1.1 speeds (12Mb/s).  <a
href="http://electronics.cnet.com/electronics/0-6342420-1305-8408812-1.html">CNet
claims</a> to get around 8Mb/s on USB 1.1 and 67Mb/s on USB 2.0, so this is not
a limitation of the USB device.  Additionally, the performance of the *rest* of
the system very much sucks, with high load averages, slow and jerky
responsiveness and periodic 1-2 second freezes.



Version-Release number of selected component (if applicable):
RedHat 9 virgin

How reproducible:
Always

Steps to Reproduce:
1.Boot system w/o disk attached w/USB mouse
2.Enter X
3.Hot plug USB Disk
4.Watch mouse freeze, disk not be available

Alternately:

1.Boot system w/disk attached w/USB mouse
2.Mount disk
3.Transfer lots of data
4.Watch as performance crawls to halt, system randomly freezes, and data
transfer is slow



Actual Results:  w/o attached at boot
USB disk not detected/mouse does not work

w/attached at boot
System performance slow, random hangs, data transfer slow


Expected Results:  USB disk should be detected, mouse should work, performance
should not be drasticly affected, data transfer should be close to what Windows
users get.

Additional info:

Bugzilla barfs when this is filled out.  Will attempt to submit as followup
Comment 1 System Detection Staff 2003-04-14 15:42:50 EDT
The following diagnostics are from the system when it was not booted with the
USB disk attached, but instead hot-plugged.

----------------------------------------------------------------------
Apr 10 21:54:38 startide kernel: usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 11
Apr 10 21:54:38 startide kernel: usb-uhci.c: Detected 2 ports
Apr 10 21:54:38 startide kernel: usb.c: new USB bus registered, assigned bus
number 1
Apr 10 21:54:38 startide kernel: hub.c: USB hub found
Apr 10 21:54:38 startide kernel: hub.c: 2 ports detected
Apr 10 21:54:38 startide kernel: PCI: Found IRQ 11 for device 00:04.3
Apr 10 21:54:38 startide kernel: PCI: Sharing IRQ 11 with 00:04.2
Apr 10 21:54:38 startide kernel: PCI: Sharing IRQ 11 with 00:05.0
Apr 10 21:54:38 startide kernel: usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 11
Apr 10 21:54:38 startide kernel: usb-uhci.c: Detected 2 ports
Apr 10 21:54:38 startide kernel: usb.c: new USB bus registered, assigned bus
number 2
Apr 10 21:54:38 startide kernel: hub.c: USB hub found
Apr 10 21:54:38 startide kernel: hub.c: 2 ports detected
Apr 10 21:54:38 startide kernel: usb-uhci.c: v1.275:USB Universal Host
Controller Interface driver
Apr 10 21:54:38 startide kernel: usb.c: registered new driver hiddev
Apr 10 21:54:38 startide kernel: usb.c: registered new driver hid
Apr 10 21:54:39 startide kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik
<vojtech@suse.cz>
Apr 10 21:54:39 startide kernel: hid-core.c: USB HID support drivers
Apr 10 21:54:39 startide kernel: mice: PS/2 mouse device common for all mice
Apr 10 21:54:39 startide kernel: hub.c: new USB device 00:04.2-1, assigned address 2
Apr 10 21:54:39 startide kernel: usb-uhci.c: interrupt, status 3, frame# 627
Apr 10 21:54:39 startide automount[854]: using kernel protocol version 3
Apr 10 21:54:39 startide kernel: input0: USB HID v1.00 Mouse [Microsoft
Microsoft Wheel Mouse Optical&] on usb1:2.0
[...]
Apr 10 21:55:25 startide kernel: hub.c: new USB device 00:04.2-2, assigned address 3
Apr 10 21:55:25 startide kernel: usb.c: USB device 3 (vend/prod 0x5ab/0x60) is
not claimed by any active driver.
Apr 10 21:55:29 startide /etc/hotplug/usb.agent: Setup usb-storage for USB
product 5ab/60/1101
Apr 10 21:55:29 startide kernel: Initializing USB Mass Storage driver...
Apr 10 21:55:29 startide kernel: usb.c: registered new driver usb-storage
Apr 10 21:55:29 startide kernel: usb-uhci.c: interrupt, status 2, frame# 1138
Apr 10 21:55:30 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:55:30 startide kernel: scsi1 : SCSI emulation for USB Mass Storage devices
Apr 10 21:55:39 startide kernel: usb-uhci.c: interrupt, status 3, frame# 1142
Apr 10 21:55:44 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:55:49 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:55:49 startide kernel: usb.c: USB disconnect on device 00:04.2-2 address 3
Apr 10 21:55:50 startide devlabel: devlabel service started/restarted
Apr 10 21:55:54 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:55:54 startide kernel: hub.c: USB device not accepting new address
(error=-110)
Apr 10 21:55:54 startide kernel: hub.c: new USB device 00:04.2-2, assigned address 4
Apr 10 21:55:59 startide kernel: usb-storage: host_reset() requested but not
implemented
Apr 10 21:55:59 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:55:59 startide kernel: usb.c: USB device not accepting new address=4
(error=-110)
Apr 10 21:55:59 startide kernel: hub.c: new USB device 00:04.2-2, assigned address 5
Apr 10 21:56:04 startide kernel: usb_control/bulk_msg: timeout
Apr 10 21:56:04 startide kernel: usb.c: USB device not accepting new address=5
(error=-110)
Apr 10 21:56:09 startide kernel: scsi: device set offline - command error
recover failed: host 1 channel 0 id 0 lun 0
Apr 10 21:56:09 startide kernel: USB Mass Storage support registered.
Apr 10 21:56:10 startide devlabel: devlabel service started/restarted
----------------------------------------------------------------------


The following diagnostics are from the system when it was booted with the USB
disk attached from boot, and while a transfer to the disk was underway.  As
noted above, general system slowness and hangs galore.

/var/log/messages
----------------------------------------------------------------------
Apr 10 21:58:38 startide kernel: usb.c: registered new driver usbdevfs
Apr 10 21:58:38 startide kernel: usb.c: registered new driver hub
Apr 10 21:58:38 startide kernel: usb-uhci.c: $Revision: 1.275 $ time 17:59:01
Mar 13 2003
Apr 10 21:58:38 startide kernel: usb-uhci.c: High bandwidth mode enabled
Apr 10 21:58:38 startide kernel: PCI: Found IRQ 11 for device 00:04.2
Apr 10 21:58:38 startide kernel: PCI: Sharing IRQ 11 with 00:04.3
Apr 10 21:58:38 startide kernel: PCI: Sharing IRQ 11 with 00:05.0
Apr 10 21:58:38 startide kernel: usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 11
Apr 10 21:58:38 startide kernel: usb-uhci.c: Detected 2 ports
Apr 10 21:58:38 startide kernel: usb.c: new USB bus registered, assigned bus
number 1
Apr 10 21:58:38 startide kernel: hub.c: USB hub found
Apr 10 21:58:38 startide kernel: hub.c: 2 ports detected
Apr 10 21:58:38 startide kernel: PCI: Found IRQ 11 for device 00:04.3
Apr 10 21:58:38 startide kernel: PCI: Sharing IRQ 11 with 00:04.2
Apr 10 21:58:38 startide kernel: PCI: Sharing IRQ 11 with 00:05.0
Apr 10 21:58:38 startide kernel: usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 11
Apr 10 21:58:38 startide kernel: usb-uhci.c: Detected 2 ports
Apr 10 21:58:38 startide kernel: usb.c: new USB bus registered, assigned bus
number 2
Apr 10 21:58:38 startide kernel: hub.c: USB hub found
Apr 10 21:58:38 startide kernel: hub.c: 2 ports detected
Apr 10 21:58:38 startide kernel: usb-uhci.c: v1.275:USB Universal Host
Controller Interface driver
Apr 10 21:58:38 startide kernel: usb.c: registered new driver hiddev
Apr 10 21:58:38 startide kernel: usb.c: registered new driver hid
Apr 10 21:58:38 startide kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik
<vojtech@suse.cz>
Apr 10 21:58:38 startide kernel: hid-core.c: USB HID support drivers
Apr 10 21:58:38 startide kernel: mice: PS/2 mouse device common for all mice
Apr 10 21:58:38 startide kernel: hub.c: new USB device 00:04.2-1, assigned address 2
Apr 10 21:58:38 startide kernel: usb-uhci.c: interrupt, status 3, frame# 626
Apr 10 21:58:39 startide kernel: input0: USB HID v1.00 Mouse [Microsoft
Microsoft Wheel Mouse Optical&] on usb1:2.0
Apr 10 21:58:39 startide kernel: hub.c: new USB device 00:04.2-2, assigned address 3
Apr 10 21:58:39 startide kernel: usb.c: USB device 3 (vend/prod 0x5ab/0x60) is
not claimed by any active driver.
Apr 10 21:58:39 startide kernel: SCSI subsystem driver Revision: 1.00
Apr 10 21:58:39 startide kernel: Initializing USB Mass Storage driver...
Apr 10 21:58:39 startide kernel: usb.c: registered new driver usb-storage
Apr 10 21:58:39 startide kernel: scsi0 : SCSI emulation for USB Mass Storage devices
Apr 10 21:58:39 startide kernel:   Vendor: TOSHIBA   Model: MK2018GAS        
Rev: Q2.0
Apr 10 21:58:39 startide kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Apr 10 21:58:39 startide kernel: USB Mass Storage support registered.
[...]
Apr 10 22:00:18 startide kernel: Attached scsi disk sda at scsi0, channel 0, id
0, lun 0
Apr 10 22:00:18 startide kernel: SCSI device sda: 39070080 512-byte hdwr sectors
(20004 MB)
Apr 10 22:00:18 startide kernel:  sda: sda1
Apr 10 22:00:30 startide kernel: usb.c: USB disconnect on device 00:04.2-2 address 3
Apr 10 22:00:30 startide devlabel: devlabel service started/restarted
Apr 10 22:00:52 startide kernel: hub.c: new USB device 00:04.2-2, assigned address 4
Apr 10 22:00:55 startide /etc/hotplug/usb.agent: Setup usb-storage for USB
product 5ab/60/1101
Apr 10 22:01:05 startide kernel: usb-uhci.c: interrupt, status 3, frame# 225
Apr 10 22:01:05 startide devlabel: devlabel service started/restarted
Apr 10 22:01:49 startide kernel: usb.c: USB disconnect on device 00:04.2-2 address 4
Apr 10 22:01:50 startide devlabel: devlabel service started/restarted
----------------------------------------------------------------------

iostat -x /dev/sda 60
----------------------------------------------------------------------
Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s avgrq-sz
avgqu-sz   await  svctm  %util
/dev/sda     0.00 1475.95  0.02  8.30    0.03 1484.50     0.02   742.25   178.50
  630.04 7958.66 120.24 100.00
/dev/sda     0.00 1356.70  0.55  7.88    0.55 1363.78     0.28   681.89   161.78
  516.68 6563.30 117.04  98.70
----------------------------------------------------------------------

mpstat
----------------------------------------------------------------------
15:03:40     CPU   %user   %nice %system   %idle    intr/s
15:04:10     all    0.20    0.00    3.80   96.00    494.40
15:04:15     all    0.60    0.00    0.80   98.60    464.00
----------------------------------------------------------------------

cat /proc/interrupts; sleep 5; cat /proc/interrupts; [subtract]
----------------------------------------------------------------------
           CPU0
  0:        503          XT-PIC  timer
  1:          q          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:        431          XT-PIC  nvidia
  8:          0          XT-PIC  rtc
  9:         16          XT-PIC  eth0
 10:        236          XT-PIC  EMU10K1
 11:       1082          XT-PIC  usb-uhci, usb-uhci
 14:          8          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0
ERR:          0
----------------------------------------------------------------------

cat /proc/bus/usb/devices
----------------------------------------------------------------------
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc= 93/900 us (10%), #Int=  1, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d400
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=045e ProdID=0040 Rev= 1.21
S:  Manufacturer=Microsoft
S:  Product=Microsoft Wheel Mouse Optical®
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  6 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=05ab ProdID=0060 Rev=11.01
S:  Manufacturer=ARCHOS
S:  Product=ARCHOS USB2.0 (P4a)
S:  SerialNumber=wwww.archos.comA
C:* #Ifs= 1 Cfg#= 2 Atr=c0 MxPwr= 98mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   2 Ivl=32ms
----------------------------------------------------------------------

lsmod
----------------------------------------------------------------------
Module                  Size  Used by    Tainted: P
emu10k1                69032   1 (autoclean)
ac97_codec             13640   0 (autoclean) [emu10k1]
sound                  74228   0 (autoclean) [emu10k1]
soundcore               6404   7 (autoclean) [emu10k1 sound]
nls_iso8859-1           3516   1 (autoclean)
nls_cp437               5116   1 (autoclean)
vfat                   13004   1 (autoclean)
fat                    38808   0 (autoclean) [vfat]
sd_mod                 13516   2 (autoclean)
agpgart                47776   3 (autoclean)
nvidia               1678432  10 (autoclean)
parport_pc             19076   1 (autoclean)
lp                      8996   0 (autoclean)
parport                37056   1 (autoclean) [parport_pc lp]
nfs                    81336   7 (autoclean)
nfsd                   80176   8 (autoclean)
lockd                  58704   1 (autoclean) [nfs nfsd]
sunrpc                 81564   1 (autoclean) [nfs nfsd lockd]
iptable_filter          2412   0 (autoclean) (unused)
ip_tables              15096   1 [iptable_filter]
autofs                 13268   1 (autoclean)
8139too                18088   1
mii                     3976   0 [8139too]
sg                     36524   0 (autoclean)
sr_mod                 18136   0 (autoclean)
microcode               4668   0 (autoclean)
ide-scsi               12208   0
ide-cd                 35708   0
cdrom                  33728   0 [sr_mod ide-cd]
usb-storage            69332   1
scsi_mod              107160   5 [sd_mod sg sr_mod ide-scsi usb-storage]
keybdev                 2944   0 (unused)
mousedev                5492   1
hid                    22148   0 (unused)
input                   5856   0 [keybdev mousedev hid]
usb-uhci               26348   0 (unused)
usbcore                78784   1 [usb-storage hid usb-uhci]
ext3                   70784   5
jbd                    51892   5 [ext3]
----------------------------------------------------------------------

cat /etc/modules.conf
----------------------------------------------------------------------
alias usb-controller usb-uhci
alias eth0 8139too
alias sound-slot-0 emu10k1
alias sound-slot-1 cmpci
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
post-install sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
----------------------------------------------------------------------

Motherboard: ASUS CUV4X-E
cat /proc/cpuinfo
----------------------------------------------------------------------
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 10
cpu MHz         : 999.752
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips        : 1992.29
----------------------------------------------------------------------

Comment 2 Pete Zaitcev 2003-06-03 15:40:50 EDT
Several updates:

1. Bug 88402 deals with Archos 20G, but running over EHCI HC. This
   is just FYI, please do not dup!

2. Please try 2.4.20-18.

3. When we discuss performance, please stick with B for bytes and b for bits.
   The 600KB/s over USB 1.1 would be a very good performance, indeed.
   Otherwise, a very good report. One minor thing - I would prefer dmesg
   output with the messages file. Some information does not get to messages.
Comment 3 System Detection Staff 2003-06-10 21:00:53 EDT
Somehow my emailed reply didn't seem to make it into bugzilla.  Hrm.  Included here:

    2. Please try 2.4.20-18.

I tried it, with some better issues and some worse issues.

* When I plugged in the ArchOS juke, X froze when I tried to `ls /proc/bus/usb`
  I have a USB mouse, but my *keyboard* isn't USB.  Very strange.
  I was able to Alt-F1 to switch to a different console.
  In second vty, `ls /proc/bus/usb` did not return

From dmesg

----------------------------------------------------------------------
+hub.c: new USB device 00:04.2-2, assigned address 3
+usb.c: USB device 3 (vend/prod 0x5ab/0x60) is not claimed by any active driver.
+Initializing USB Mass Storage driver...
+usb.c: registered new driver usb-storage
+scsi1 : SCSI emulation for USB Mass Storage devices
+usb-uhci.c: interrupt, status 3, frame# 1421
+usb_control/bulk_msg: timeout
----------------------------------------------------------------------

* After rebooting, dmesg sez:

----------------------------------------------------------------------
Linux version 2.4.20-18.9 (bhcompile@porky.devel.redhat.com) (gcc version 3.2.2 
20030222 (Red Hat Linux 3.2.2-5)) #1 Thu May 29 07:08:16 EDT 2003
[...]
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 07:14:02 May 29 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 11 for device 00:04.2
PCI: Sharing IRQ 11 with 00:04.3
PCI: Sharing IRQ 11 with 00:05.0
usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Found IRQ 11 for device 00:04.3
PCI: Sharing IRQ 11 with 00:04.2
PCI: Sharing IRQ 11 with 00:05.0
usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
hub.c: new USB device 00:04.2-1, assigned address 2
usb-uhci.c: interrupt, status 3, frame# 632
input0: USB HID v1.00 Mouse [Microsoft Microsoft Wheel Mouse Optical®] on usb1:2
.0
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,3), internal journal
Adding Swap: 522072k swap-space (priority -1)
hub.c: new USB device 00:04.2-2, assigned address 3
usb.c: USB device 3 (vend/prod 0x5ab/0x60) is not claimed by any active driver.
SCSI subsystem driver Revision: 1.00
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices
usb-uhci.c: interrupt, status 3, frame# 1847
  Vendor: TOSHIBA   Model: MK2018GAS         Rev: Q2.0
  Type:   Direct-Access                      ANSI SCSI revision: 02
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 3
USB Mass Storage support registered.
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 39070080 512-byte hdwr sectors (20004 MB)
 sda: sda1
[...]
----------------------------------------------------------------------
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=05ab ProdID=0060 Rev=11.01
S:  Manufacturer=ARCHOS          
S:  Product=ARCHOS USB2.0 (P4a)
S:  SerialNumber=wwww.archos.comA
C:* #Ifs= 1 Cfg#= 2 Atr=c0 MxPwr= 98mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   2 Ivl=32ms
----------------------------------------------------------------------

System performance during my transfer of a 466 MB file was very
sluggish at best, with frequent hangs of the system (or at least X)
for over a minute at a time, high load averages, and all sorts of
unacceptable user-level performance behavior.

However, during this severe user level performance problem, I was able
to write to the disk at 1.2 MB/s.  Cannot argue too much with that.

I then tried read performance (running md5 on the transferred file,
which is not *totally* read performance, but most likely good
enough--I got a repeatable 48.7 MB/s using md5sum on the same file
from IDE disk).  I did not appear to have the user-level performance
problems that I experienced during the write operation.  Read
performance came in at 1.62 MB/s the first time I measured, and .92
MB/s the second time--I have to wonder if caching was somewhat
involved even though I md5'd the IDE file between the USB write and
read and I only have 512MB of memory, since I was under the impression
that USB 1.1 maxed out at 1.5 MB/s.


* Unplugging and plugging the USB device

This seemed to work without issue.

----------------------------------------------------------------------
usb.c: USB disconnect on device 00:04.2-2 address 3
hub.c: new USB device 00:04.2-2, assigned address 4
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 4
usb-uhci.c: interrupt, status 3, frame# 822
----------------------------------------------------------------------
Comment 4 Pete Zaitcev 2003-08-07 22:19:22 EDT
See also bug 88402 (don't dup).
Comment 5 Pete Zaitcev 2004-08-19 20:10:58 EDT
So, does FC2 work?
Comment 6 System Detection Staff 2004-08-20 15:48:28 EDT
It works, thanks.
Comment 7 Pete Zaitcev 2004-08-20 19:51:55 EDT
The 2.6 has a way better usb-storage, so everyone is happy.
Closing.

Note You need to log in before you can comment on or make changes to this bug.